Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.routing.requestreply
Class SimpleRequestReplyReplier

    java.lang.Object
      org.mule.processor.AbstractInterceptingMessageProcessor
          org.mule.routing.requestreply.SimpleRequestReplyReplier

All Implemented Interfaces:
  MuleContextAware, InterceptingMessageProcessor, MessageProcessor, RequestReplyReplierMessageProcessor, MessageSource

    public class SimpleRequestReplyReplier

extends AbstractInterceptingMessageProcessor
implements RequestReplyReplierMessageProcessor

Field Summary
`protected MessageProcessor` | `replyMessageProcessor`

Fields inherited from class org.mule.processor.AbstractInterceptingMessageProcessor
`logger, muleContext, next, notificationHandler`

Constructor Summary
`SimpleRequestReplyReplier()`

Method Summary
`MuleEvent` | `process(MuleEvent event)` Invokes the MessageProcessor.
`void` | `setReplyProcessor(MessageProcessor replyMessageProcessor)`

Methods inherited from class org.mule.processor.AbstractInterceptingMessageProcessor
`fireNotification, getMuleContext, processNext, setListener, setMuleContext, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.mule.api.source.MessageSource
`setListener`

Field Detail

### replyMessageProcessor

    protected MessageProcessor replyMessageProcessor

Constructor Detail

### SimpleRequestReplyReplier

    public SimpleRequestReplyReplier()

Method Detail

### process

    public MuleEvent process(MuleEvent event)
                      throws MuleException

  Description copied from interface: `MessageProcessor`
  Invokes the MessageProcessor.

  Specified by:
    `process` in interface `MessageProcessor`
  Parameters:
    `event` - MuleEvent to be processed
  Returns:
    optional response MuleEvent
  Throws:
    `MuleException`

### setReplyProcessor

    public void setReplyProcessor(MessageProcessor replyMessageProcessor)

  Specified by:
    `setReplyProcessor` in interface `RequestReplyReplierMessageProcessor`
  Parameters:
    `replyMessageProcessor` - the message processor that will be used to send the reply message

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.